Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 4)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 33, 34, 35, 36, 37, 38  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2860
Location: Bay Area, CA

PostPosted: Fri Aug 27, 2010 11:26 pm    Post subject: Reply with quote

4.5.1 got tagged yesterday....and it makes a surprise appearance in the overlay today. So, mother of all questions again: when do we see it in portage?

Do devs think we still have showstopper bugs which will push the move to portage to 4.5.2?
Back to top
View user's profile Send private message
Kollin
Veteran
Veteran


Joined: 25 Feb 2006
Posts: 1137
Location: Sofia/Bulgaria

PostPosted: Sat Aug 28, 2010 6:11 am    Post subject: Reply with quote

http://blog.tampakrap.gr/kde-4-5-0-in-gentoo/#utm_source=feed&utm_medium=feed&utm_campaign=feed
_________________
"Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment."
"Linux is like a wigwam - no windows, no gates, apache inside..."
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2860
Location: Bay Area, CA

PostPosted: Sat Aug 28, 2010 6:18 am    Post subject: Reply with quote

Kollin wrote:
http://blog.tampakrap.gr/kde-4-5-0-in-gentoo/#utm_source=feed&utm_medium=feed&utm_campaign=feed
I thought you posted something new and 4.5.1 was landing....but you post old news that talks about 4.5.0! why would you waste my time? why o why? you cruel cruel bugger... :lol:
Back to top
View user's profile Send private message
Benni123
Tux's lil' helper
Tux's lil' helper


Joined: 13 Mar 2005
Posts: 110

PostPosted: Sat Aug 28, 2010 5:19 pm    Post subject: Reply with quote

digikam 1.4.0 is out. It's merely a bugfix release to 1.3.0. please add 1.4.0 to the overlay...
Back to top
View user's profile Send private message
Kollin
Veteran
Veteran


Joined: 25 Feb 2006
Posts: 1137
Location: Sofia/Bulgaria

PostPosted: Sat Aug 28, 2010 8:47 pm    Post subject: Reply with quote

devsk wrote:
Kollin wrote:
http://blog.tampakrap.gr/kde-4-5-0-in-gentoo/#utm_source=feed&utm_medium=feed&utm_campaign=feed
I thought you posted something new and 4.5.1 was landing....but you post old news that talks about 4.5.0! why would you waste my time? why o why? you cruel cruel bugger... :lol:


Oh i`m sorry! Is kdepim-4.5* ready ?
_________________
"Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment."
"Linux is like a wigwam - no windows, no gates, apache inside..."
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sun Aug 29, 2010 1:10 pm    Post subject: Reply with quote

Kollin wrote:
devsk wrote:
Kollin wrote:
http://blog.tampakrap.gr/kde-4-5-0-in-gentoo/#utm_source=feed&utm_medium=feed&utm_campaign=feed
I thought you posted something new and 4.5.1 was landing....but you post old news that talks about 4.5.0! why would you waste my time? why o why? you cruel cruel bugger... :lol:


Oh i`m sorry! Is kdepim-4.5* ready ?


Nope
Back to top
View user's profile Send private message
Kollin
Veteran
Veteran


Joined: 25 Feb 2006
Posts: 1137
Location: Sofia/Bulgaria

PostPosted: Sun Aug 29, 2010 5:44 pm    Post subject: Reply with quote

Lustmored wrote:
Kollin wrote:
devsk wrote:
Kollin wrote:
http://blog.tampakrap.gr/kde-4-5-0-in-gentoo/#utm_source=feed&utm_medium=feed&utm_campaign=feed
I thought you posted something new and 4.5.1 was landing....but you post old news that talks about 4.5.0! why would you waste my time? why o why? you cruel cruel bugger... :lol:


Oh i`m sorry! Is kdepim-4.5* ready ?


Nope


I guess that means no portage inclusion for kde-4.5* any time soon :?
_________________
"Dear Enemy: may the Lord hate you and all your kind, may you be turned orange in hue, and may your head fall off at an awkward moment."
"Linux is like a wigwam - no windows, no gates, apache inside..."
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2860
Location: Bay Area, CA

PostPosted: Tue Aug 31, 2010 4:05 pm    Post subject: Reply with quote

4.5.1 is officially out!
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Aug 31, 2010 4:20 pm    Post subject: Reply with quote

devsk wrote:
4.5.1 is officially out!


yay !

and fetching & emerging from the kde-overlay works, too :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Dorsai!
Apprentice
Apprentice


Joined: 27 Jul 2008
Posts: 276
Location: Bavaria

PostPosted: Tue Aug 31, 2010 4:57 pm    Post subject: Reply with quote

I'm emerging it too. I hope my freeze and crash problems with dolphin are solved.
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Tue Aug 31, 2010 5:12 pm    Post subject: Reply with quote

OK! :D Here we go.

I noticed
Code:
 [ebuild  NS   ] kde-base/kdepimlibs-4.5.1 [4.4.5] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -ldap -semantic-desktop -test" 2,608 kB [1]
is now included, and slotted.

Any info on how this affects us kmail users, if at all? I'm on an amd64 testing box, so no important years of email archives are endanged.

Are there going to be any major problems when we must move to kmail 4.5.x? I'm guessing since it's slotted, kmail 4.4.5 still works after the big 4.5.1 complete update?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 276

PostPosted: Tue Aug 31, 2010 5:21 pm    Post subject: Reply with quote

kdepimlibs also exists as 4.5.0, it's libkdepim that only exists as 4.4.5!
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Tue Aug 31, 2010 6:09 pm    Post subject: Reply with quote

Boccaccio,
Thanks for the correction. Don't know what I was thinking. :oops: I saw the big " [ebuild NS" and my mind thought "kdepim" instead of kdepimlibs.

I can't recall kdepimlibs ever being slotted, or even a reason why it should need to be, if nothing else in 4.5.1 is. If I'm not mistaken, kdepimlibs is (or was?) a dep of kdelibs, and kmail was part of kdepim. (I haven't used the overlay for almost a year- need to catch up on all the details).
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Aug 31, 2010 6:40 pm    Post subject: Reply with quote

Boccaccio wrote:
kdepimlibs also exists as 4.5.0, it's libkdepim that only exists as 4.4.5!


huh ?
Quote:
eix kdepim

* app-pda/libopensync-plugin-kdepim [2]
Available versions: (~)0.21!t (~)0.22 (~)0.35 (~)0.36 **9999
Homepage: http://www.opensync.org/
Description: OpenSync Kdepim Plugin

[I] kde-base/kdepim-icons
Available versions:
(4.4) 4.4.5
(0) (~)4.4.92[1] **4.4.9999[1] **4.5.9999[1] **9999[1]
{aqua kdeenablefinal kdeprefix}
Installed versions: 4.4.92!m[1](08:03:27 PM 08/31/2010)(-aqua -kdeenablefinal -kdeprefix)
Homepage: http://www.kde.org/
Description: KDE PIM icons

[I] kde-base/kdepim-kresources
Available versions:
(0) 3.5.10[2] (~)3.5.10-r1[2] (~)4.4.92[1] **4.4.9999[1] **4.5.9999[1] **9999[1]
(4.4) 4.4.5
{aqua debug kdeenablefinal kdeprefix}
Installed versions: 4.4.92!m[1](08:22:07 PM 08/31/2010)(-aqua -debug -kdeenablefinal -kdeprefix)
Homepage: http://www.kde.org/
Description: KDE PIM groupware plugin collection

[I] kde-base/kdepim-meta
Available versions:
(3.5) 3.5.10[2]
(4.4) 4.4.5 **4.4.9999[1]
(4.5) {M}(~)4.4.92[1] {M}**4.5.9999[1]
(live) **9999[1]
{aqua kdeprefix semantic-desktop}
Installed versions: 4.4.92(4.5)[1](08:34:38 PM 08/31/2010)(-aqua -kdeprefix)
Homepage: http://www.kde.org/
Description: kdepim - merge this to pull in all kdepim-derived packages

[I] kde-base/kdepim-runtime
Available versions:
(4.4) 4.4.5
(0) (~)4.4.92[1] **4.4.9999[1] **4.5.9999[1] **9999[1]
{aqua debug kdeenablefinal kdeprefix}
Installed versions: 4.4.92!t[1](08:17:22 PM 08/31/2010)(-aqua -debug -kdeenablefinal -kdeprefix)
Homepage: http://www.kde.org/
Description: KDE PIM runtime plugin collection

[I] kde-base/kdepim-strigi-analyzer
Available versions:
(4.4) 4.4.5
(0) (~)4.4.92[1] **4.4.9999[1] **4.5.9999[1] **9999[1]
{aqua debug kdeenablefinal kdeprefix}
Installed versions: 4.4.92!m[1](08:04:30 PM 08/31/2010)(-aqua -debug -kdeenablefinal -kdeprefix)
Homepage: http://www.kde.org/
Description: kdepim: strigi plugins

[I] kde-base/kdepim-wizards
Available versions:
(0) 3.5.10[2] (~)3.5.10-r1[2] (~)4.4.92[1] **4.4.9999[1] **4.5.9999[1] **9999[1]
(4.4) 4.4.5
{aqua debug kdeenablefinal kdeprefix}
Installed versions: 4.4.92!m[1](08:29:57 PM 08/31/2010)(-aqua -debug -kdeenablefinal -kdeprefix)
Homepage: http://www.kde.org/
Description: KDE PIM wizards

[D] kde-base/kdepimlibs
Available versions:
(4.4) 4.4.5!t
(0) **4.4.9999[1] (~)4.5.0[1] [M](~)4.5.1[1] **4.5.9999[1] **9999[1]
{aqua debug +handbook kdeenablefinal kdeprefix ldap +semantic-desktop test}
Installed versions: 4.5.1!t[1](06:23:10 PM 08/31/2010)(handbook ldap semantic-desktop -aqua -debug -kdeenablefinal -kdeprefix -test)
Homepage: http://www.kde.org/
Description: Common library for KDE PIM apps.

* kde-base/libkdepim
Available versions:
(0) 3.5.10[2] **4.4.9999[1]
(4.4) 4.4.5
{aqua debug kdeenablefinal kdeprefix}
Homepage: http://www.kde.org/
Description: Common library for KDE PIM apps

[I] kde-base/kdepim-common-libs [1]
Available versions: (~)4.4.92 **4.5.9999 **9999 {debug}
Installed versions: 4.4.92!m(08:20:19 PM 08/31/2010)(-aqua -debug -kdeenablefinal -kdeprefix)
Description: Common libraries for KDE PIM apps

* kde-base/kdepim-kioslaves [2]
Available versions: 3.5.10 3.5.10-r1 (~)3.5.10-r2 {sasl}
Description: kioslaves from kdepim package

[1] "kde" /usr/gentoo/overlays/kde-testing
[2] "kde-sunset" /usr/gentoo/overlays/kde-sunset

Found 11 matches.



it's not even installed here - what do you need that for ?
cat /var/lib/portage/world_sets | grep kde wrote:

@kdeadmin-4.5
@kdeartwork-4.5
@kdebase-4.5
@kdebase-apps-4.5
@kdebase-runtime-4.5
@kdebindings-4.5
@kdedeps-4.5
@kdegraphics-4.5
@kdelibs-4.5
@kdemultimedia-4.5
@kdenetwork-4.5
@kdeoptional-4.5
@kdepim-4.5
@kdesdk-4.5
@kdetoys-4.5
@kdeutils-4.5
@kdewebdev-4.5

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Tue Aug 31, 2010 6:55 pm    Post subject: Reply with quote

OK- I'm a bit lost here. :roll: If we need to use kmail with kde-4.5.1, we still use the kmail-4.4.5 version with libkdepim-4.4.5?

For now, don't install any version whatsoever of kdepim? Or, install a 9999 version of kdepim.

As I understood it, there was no kdepim/kmail 4.5 version ready yet- is that true or false?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Aug 31, 2010 7:30 pm    Post subject: Reply with quote

wrc1944 wrote:
OK- I'm a bit lost here. :roll: If we need to use kmail with kde-4.5.1, we still use the kmail-4.4.5 version with libkdepim-4.4.5?

For now, don't install any version whatsoever of kdepim? Or, install a 9999 version of kdepim.

As I understood it, there was no kdepim/kmail 4.5 version ready yet- is that true or false?


I dunno:

the version installed here is 4.4.92:
Quote:
[I] kde-base/kmail
Available versions:
(0) 3.5.10[2] (~)3.5.10-r1[2] (~)3.5.10-r2[2] (~)4.4.92[1] **4.4.9999[1] **4.5.9999[1] **9999[1]
(4.4) 4.4.5
{aqua debug +handbook kdeenablefinal kdeprefix +kontact}
Installed versions: 4.4.92!m[1](08:34:21 PM 08/31/2010)(handbook kontact -aqua -debug -kdeenablefinal -kdeprefix)
Homepage: http://www.kde.org/
Description: KMail is the email component of Kontact, the integrated personal information manager of KDE.


so it must be kind of an early snapshot
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Ormaaj
Guru
Guru


Joined: 28 Jan 2008
Posts: 319

PostPosted: Tue Aug 31, 2010 7:50 pm    Post subject: Reply with quote

wrc1944 wrote:
OK- I'm a bit lost here. :roll: If we need to use kmail with kde-4.5.1, we still use the kmail-4.4.5 version with libkdepim-4.4.5?

For now, don't install any version whatsoever of kdepim? Or, install a 9999 version of kdepim.

As I understood it, there was no kdepim/kmail 4.5 version ready yet- is that true or false?

Kmail 2 was supposed to be out for kde 4.5 but they pushed it back to 4.6. Kmail 2 isn't ready enough to be usable yet. I have no idea how to make the older one work with kde 4.5
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Tue Aug 31, 2010 9:11 pm    Post subject: Reply with quote

After a nice smooth upgrade from 4.5.0 to 4.5.1 on this testing box, I was left with this situation as far as kmail goes on a 4.5.1 system:
Code:
amd64 wrc # emerge -pv1 kmail libkdepim

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS   ] kde-base/kdepimlibs-4.4.5 [4.5.1] USE="handbook semantic-desktop (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -ldap -test" 0 kB
[ebuild   R   ] kde-base/libkdepim-4.4.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild   R   ] kde-base/kmail-4.4.5  USE="handbook kontact (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[blocks B     ] kde-base/kdepimlibs:4.4[-kdeprefix] ("kde-base/kdepimlibs:4.4[-kdeprefix]" is blocking kde-base/kdepimlibs-4.5.1)
[blocks B     ] kde-base/kdepimlibs:4.5[-kdeprefix] ("kde-base/kdepimlibs:4.5[-kdeprefix]" is blocking kde-base/kdepimlibs-4.4.5)

Total: 3 packages (1 in new slot, 2 reinstalls), Size of downloads: 0 kB
Conflict: 2 blocks (2 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-base/kdepimlibs-4.5.1, installed) pulled in by
    >=kde-base/kdepimlibs-4.4.5[-aqua,-kdeprefix] required by (kde-base/libkleo-4.4.5, installed)
    >=kde-base/kdepimlibs-4.4.5[-aqua,-kdeprefix] required by (kde-base/kontact-4.4.5, installed)

  (kde-base/kdepimlibs-4.4.5, ebuild scheduled for merge) pulled in by
    >=kde-base/kdepimlibs-4.4.5[-aqua,-kdeprefix,semantic-desktop] required by (kde-base/libkdepim-4.4.5, ebuild scheduled for merge)
    >=kde-base/kdepimlibs-4.4.5[-aqua,-kdeprefix,semantic-desktop] required by (kde-base/kmail-4.4.5, ebuild scheduled for merge)
    >=kde-base/kdepimlibs-4.4.5[-aqua,-kdeprefix,semantic-desktop] required by (kde-base/kdepim-runtime-4.4.5, installed)

I had faced something similar when I updated from kde-4.4.5 to 4.5.0. I then had used the 4.4.5 solution (keeping kmail, kdepimlibs and libkdepim-4.4.5 versions installed with a kde-4.5.0 system). Looks like the same is going to be required with 4.5.1 and subsequent 4.5.x releases, until 4.5.2? What a PITA. So here's what I did:
Code:
amd64 wrc # emerge -pv1 =kde-base/kdepimlibs-4.4.5

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS   ] kde-base/kdepimlibs-4.4.5 [4.5.1] USE="handbook semantic-desktop (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -ldap -test" 0 kB [0]                                                                 
[uninstall    ] kde-base/kdepimlibs-4.5.1  USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -ldap -semantic-desktop -test"  [1]                                                                           
[blocks b     ] kde-base/kdepimlibs:4.4[-kdeprefix] ("kde-base/kdepimlibs:4.4[-kdeprefix]" is blocking kde-base/kdepimlibs-4.5.1)                                                                                     
[blocks b     ] kde-base/kdepimlibs:4.5[-kdeprefix] ("kde-base/kdepimlibs:4.5[-kdeprefix]" is blocking kde-base/kdepimlibs-4.4.5)                                                                                     

Total: 1 package (1 in new slot, 1 uninstall), Size of downloads: 0 kB
Conflict: 2 blocks
The blocks are soft, so I went ahead and downgraded kdepimlibs from 4.5.1 to 4.4.5, and then:
Code:
emerge -pv1 kmail libkdepim

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] kde-base/libkdepim-4.4.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB
[ebuild   R   ] kde-base/kmail-4.4.5  USE="handbook kontact (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 0 kB

Total: 2 packages (2 reinstalls), Size of downloads: 0 kB
Kmail now launches and works normally on a kde-4.5.1 system. Guess I'll have to live with that for the next few months, and hope kde-4.5.2 makes the kdepim/kmail update workable.

ONE PROBLEM: I was in konqueror (4.5.1), and tried to post this reply. Konqueror segfaults immediately trying to open the reply box. Luckily, I had written the email in mousepad, so I can post it in Chromium without having to re-do the entire thing.

Could this have been caused by having to downgrade kdepimlibs from 4.5.1 to 4.4.5? Or is anyone else having konqueror-4.5.1 segfault? I checked again (opened konqueror and tried to post a forum reply, and same thing happened)

Since kdepimlibs-4.5.1 is slotted, I tried to install it, but emerge wants to uninstall 4.4.5, which will break kmail. :?
Code:
amd64 wrc # emerge -pv1 kdepimlibs

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS   ] kde-base/kdepimlibs-4.5.1 [4.4.5] USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -ldap -semantic-desktop -test" 0 kB [1]                                                                 
[uninstall    ] kde-base/kdepimlibs-4.4.5  USE="handbook semantic-desktop (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -ldap -test"  [0]
[blocks b     ] kde-base/kdepimlibs:4.4[-kdeprefix] ("kde-base/kdepimlibs:4.4[-kdeprefix]" is blocking kde-base/kdepimlibs-4.5.1)                                                                                     
[blocks b     ] kde-base/kdepimlibs:4.5[-kdeprefix] ("kde-base/kdepimlibs:4.5[-kdeprefix]" is blocking kde-base/kdepimlibs-4.4.5)                                                                                     

Total: 1 package (1 in new slot, 1 uninstall), Size of downloads: 0 kB
If they are slotted, shouldn't they co-exist?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Tue Aug 31, 2010 9:42 pm    Post subject: Reply with quote

Here's the konqueror segfault details trying to post forum reply:
Code:
Application: Konqueror (kdeinit4), signal: Segmentation fault
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib64/gcc/x86_64-pc-linux-gnu/4.5.1/libstdc++.so.6.0.14-gdb.py", line 59, in <module>
    from libstdcxx.v6.printers import register_libstdcxx_printers
ImportError: No module named libstdcxx.v6.printers
[Current thread is 1 (Thread 0x7f622f638780 (LWP 2545))]

Thread 3 (Thread 0x7f6215750710 (LWP 2564)):
#0  0x00007f622df4c999 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f622e1d0894 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f622e1c649f in ?? () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00007f622e1d01f5 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f622df47d5c in start_thread () from /lib/libpthread.so.0
#5  0x00007f622ccce5ed in clone () from /lib/libc.so.6

Thread 2 (Thread 0x7f6214d4b710 (LWP 2575)):
#0  0x00007f622df4c999 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f622e1d0894 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f622e1c649f in ?? () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00007f622e1d01f5 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f622df47d5c in start_thread () from /lib/libpthread.so.0
#5  0x00007f622ccce5ed in clone () from /lib/libc.so.6

Thread 1 (Thread 0x7f622f638780 (LWP 2545)):
[KCrash Handler]
#6  0x00007f621b629d6e in KHTMLView::resizeEvent(QResizeEvent*) () from /usr/lib/libkhtml.so.5
#7  0x00007f622d4735b6 in QWidget::event(QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#8  0x00007f622d8491c6 in QFrame::event(QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#9  0x00007f621b615d19 in KHTMLView::viewportEvent(QEvent*) () from /usr/lib/libkhtml.so.5
#10 0x00007f622e2c2fd4 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x00007f622d41f7bd in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#12 0x00007f622d423b2d in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#13 0x00007f622f027806 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#14 0x00007f622e2c2e23 in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#15 0x00007f622d46cf42 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/qt4/libQtGui.so.4
#16 0x00007f622d46ce83 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/qt4/libQtGui.so.4
#17 0x00007f622d46ce83 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/qt4/libQtGui.so.4
#18 0x00007f622d46ce83 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/qt4/libQtGui.so.4
#19 0x00007f622d46ce83 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/qt4/libQtGui.so.4
#20 0x00007f622d46ce83 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/qt4/libQtGui.so.4
#21 0x00007f622d46ce83 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/qt4/libQtGui.so.4
#22 0x00007f622d46ce83 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/qt4/libQtGui.so.4
#23 0x00007f622d46ce83 in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib64/qt4/libQtGui.so.4
#24 0x00007f622d473d8b in QWidgetPrivate::prepareToRender(QRegion const&, QFlags<QWidget::RenderFlag>) () from /usr/lib64/qt4/libQtGui.so.4
#25 0x00007f622d475386 in QWidget::render(QPaintDevice*, QPoint const&, QRegion const&, QFlags<QWidget::RenderFlag>) () from /usr/lib64/qt4/libQtGui.so.4
#26 0x00007f6220fd7776 in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
#27 0x00007f6220fd8479 in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
#28 0x00007f6220fcf62f in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
#29 0x00007f6220fcf219 in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
#30 0x00007f622e2d7a92 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#31 0x00007f622d81e2b1 in QComboBox::currentIndexChanged(int) () from /usr/lib64/qt4/libQtGui.so.4
#32 0x00007f622d81e31c in ?? () from /usr/lib64/qt4/libQtGui.so.4
#33 0x00007f622d81fc95 in ?? () from /usr/lib64/qt4/libQtGui.so.4
#34 0x00007f622d8228a8 in QComboBox::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/qt4/libQtGui.so.4
#35 0x00007f622f0dffc5 in KComboBox::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkdeui.so.5
#36 0x00007f622e2d7a92 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#37 0x00007f622e31ec04 in QAbstractItemModel::rowsRemoved(QModelIndex const&, int, int) () from /usr/lib64/qt4/libQtCore.so.4
#38 0x00007f622e2bd74c in QAbstractItemModel::endRemoveRows() () from /usr/lib64/qt4/libQtCore.so.4
#39 0x00007f622da004b3 in QStandardItemModel::removeRows(int, int, QModelIndex const&) () from /usr/lib64/qt4/libQtGui.so.4
#40 0x00007f621b7c2e9e in ?? () from /usr/lib/libkhtml.so.5
#41 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#42 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#43 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#44 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#45 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#46 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#47 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#48 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#49 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#50 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#51 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#52 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#53 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#54 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#55 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#56 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#57 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#58 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#59 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#60 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#61 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#62 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#63 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#64 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#65 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#66 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#67 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#68 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#69 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#70 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#71 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#72 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#73 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#74 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#75 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#76 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#77 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#78 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#79 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#80 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#81 0x00007f621b6cb519 in ?? () from /usr/lib/libkhtml.so.5
#82 0x00007f621b71e109 in ?? () from /usr/lib/libkhtml.so.5
#83 0x00007f621b6b7731 in ?? () from /usr/lib/libkhtml.so.5
#84 0x00007f621b6baf31 in ?? () from /usr/lib/libkhtml.so.5
#85 0x00007f621b6c36e8 in ?? () from /usr/lib/libkhtml.so.5
#86 0x00007f621b6c3acd in ?? () from /usr/lib/libkhtml.so.5
#87 0x00007f621b6c55b6 in ?? () from /usr/lib/libkhtml.so.5
#88 0x00007f621b64089b in KHTMLPart::slotFinishedParsing() () from /usr/lib/libkhtml.so.5
#89 0x00007f621b65fdc6 in KHTMLPart::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkhtml.so.5
#90 0x00007f622e2d7a92 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#91 0x00007f621b6b0690 in ?? () from /usr/lib/libkhtml.so.5
#92 0x00007f621b722408 in ?? () from /usr/lib/libkhtml.so.5
#93 0x00007f622e2d7a92 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#94 0x00007f621b70865a in ?? () from /usr/lib/libkhtml.so.5
#95 0x00007f621b6372ca in KHTMLPart::end() () from /usr/lib/libkhtml.so.5
#96 0x00007f621b64f53f in KHTMLPart::navigateLocalProtocol(khtml::ChildFrame*, KParts::ReadOnlyPart*, KUrl const&) () from /usr/lib/libkhtml.so.5
#97 0x00007f621b652f0e in KHTMLPart::loadFrameElement(DOM::HTMLPartContainerElementImpl*, QString const&, QString const&, QStringList const&, bool) () from /usr/lib/libkhtml.so.5
#98 0x00007f621b728de9 in ?? () from /usr/lib/libkhtml.so.5
#99 0x00007f621b6be9dd in ?? () from /usr/lib/libkhtml.so.5
#100 0x00007f621b7033a6 in ?? () from /usr/lib/libkhtml.so.5
#101 0x00007f621b705aa3 in ?? () from /usr/lib/libkhtml.so.5
#102 0x00007f621b706986 in ?? () from /usr/lib/libkhtml.so.5
#103 0x00007f621b70bdb6 in ?? () from /usr/lib/libkhtml.so.5
#104 0x00007f621b70f3b1 in ?? () from /usr/lib/libkhtml.so.5
#105 0x00007f621b63f90d in KHTMLPart::write(char const*, int) () from /usr/lib/libkhtml.so.5
#106 0x00007f621b63676f in KHTMLPart::slotData(KIO::Job*, QByteArray const&) () from /usr/lib/libkhtml.so.5
#107 0x00007f621b65fdf8 in KHTMLPart::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkhtml.so.5
#108 0x00007f622e2d7a92 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#109 0x00007f6227f92904 in KIO::TransferJob::data(KIO::Job*, QByteArray const&) () from /usr/lib64/libkio.so.5
#110 0x00007f6227f92970 in KIO::TransferJob::slotData(QByteArray const&) () from /usr/lib64/libkio.so.5
#111 0x00007f6227f974e7 in KIO::TransferJob::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkio.so.5
#112 0x00007f622e2d7a92 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#113 0x00007f62280408e2 in KIO::SlaveInterface::data(QByteArray const&) () from /usr/lib64/libkio.so.5
#114 0x00007f6228043bf8 in KIO::SlaveInterface::dispatch(int, QByteArray const&) () from /usr/lib64/libkio.so.5
#115 0x00007f6228040348 in KIO::SlaveInterface::dispatch() () from /usr/lib64/libkio.so.5
#116 0x00007f6228033426 in KIO::Slave::gotInput() () from /usr/lib64/libkio.so.5
#117 0x00007f6228033ac4 in KIO::Slave::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkio.so.5
#118 0x00007f622e2d7a92 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#119 0x00007f6227f5ea1f in ?? () from /usr/lib64/libkio.so.5
#120 0x00007f6227f5eacd in KIO::Connection::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libkio.so.5
#121 0x00007f622e2d50a9 in QObject::event(QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#122 0x00007f622d41f7f4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#123 0x00007f622d423b2d in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#124 0x00007f622f027806 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#125 0x00007f622e2c2e23 in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#126 0x00007f622e2c691a in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/qt4/libQtCore.so.4
#127 0x00007f622e2ec863 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#128 0x00007f622a1ad36e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#129 0x00007f622a1adbf8 in ?? () from /usr/lib/libglib-2.0.so.0
#130 0x00007f622a1adf3b in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#131 0x00007f622e2ece4b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#132 0x00007f622d4c633e in ?? () from /usr/lib64/qt4/libQtGui.so.4
#133 0x00007f622e2c2150 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#134 0x00007f622e2c23a4 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#135 0x00007f622e2c6b23 in QCoreApplication::exec() () from /usr/lib64/qt4/libQtCore.so.4
#136 0x00007f6221e43ca9 in kdemain () from /usr/lib64/libkdeinit4_konqueror.so
#137 0x0000000000406f23 in _start ()

Is this maybe a qt problem? I'm using portage qt-4.6.3. Do I need the qt overlay for kde-4.5.1?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2860
Location: Bay Area, CA

PostPosted: Tue Aug 31, 2010 11:21 pm    Post subject: Reply with quote

That looks like konqueror bug.
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Wed Sep 01, 2010 12:52 am    Post subject: Reply with quote

FWIW, I'm posting this from Arch Linux's konqueror-4.5.1 (from the binary repos- I don't compile in Arch Linux). Apparently it doesn't have the bug I encountered with Gentoo's 4.5.1 when posting a reply to this forum.

However, in Arch I'm seeing other things. Kde-4.5.1 won't respect my display settings when set in system settings. Always reverts to largest instead of my normal 1600x1200. Also, the 1600x1200 doesn't fill the entire screen anymore, and I have to use 1280x1024. Also won't respect my panel height setting- have to resize to my regular smaller size. Didn't see these problems on Gentoo.

Will investigate. Maybe a cflag or gcc version problem in Gentoo causing the konqueror crash, as opposed to the Arch Linux default cflags binaries they are using?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental


Last edited by wrc1944 on Wed Sep 01, 2010 1:00 am; edited 1 time in total
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Wed Sep 01, 2010 12:57 am    Post subject: Reply with quote

wrc1944 wrote:
FWIW, I'm posting this from Arch Linux's konqueror-4.5.1 (from the binary repos- I don't compile in Arch Linux). Apparently it doesn't have the bug I encountered with Gentoo's 4.5.1 when posting a reply to this forum.

Will investigate.


posting it from konqueror 4.5.1 right now (Gentoo), so it doesn't seem to be a bug of Gentoo in general

FYI: I'm also using the in-tree 4.6.3 qt :idea:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Wed Sep 01, 2010 1:07 am    Post subject: Reply with quote

kernelOfTruth wrote:
Quote:
posting it from konqueror 4.5.1 right now (Gentoo), so it doesn't seem to be a bug of Gentoo in general
Thanks- good to know. I'll try recompiling konqueror and take a look at my system. Everything seemed to go fine- no problems during the install.

Maybe change kdepimlibs back to 4.5.1, and see what happens. I hope it's not a choice of either konqueror or kmail working.

I'd guess I could do without konqueror easier than kmail. Firefox 4 beta4 or Chromium works great.

Hmm.. Didn't try rekonq to see if the same problem occurs there.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Wed Sep 01, 2010 1:16 am    Post subject: Reply with quote

Well- Just rebooted back to Gentoo and am now posting from konqueror. I did nothing- just rebooted to Gentoo. It's a mystery to me. It's not just the cold reboot of the box- I did that before to clear all the ram (not just a log out/in) and still had the konqueror problem, but now I don't. Rekonq opened the forum reply box fine.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Wed Sep 01, 2010 7:25 am    Post subject: Reply with quote

Well, OpenGL compositing on my Intel 945GM is still unusable. No surprise, since the related bugs have not been fixed yet.
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 33, 34, 35, 36, 37, 38  Next
Page 34 of 38

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum